export const nodes = [];
export const links = [];

const MAIN_NODE_SIZE = 50;
const CHILD_NODE_SIZE = 20;
const LEAF_NODE_SIZE = 5;


const addMainNode = (node) => {
  node.size = MAIN_NODE_SIZE;
  nodes.push(node);
};

const addChildNode = (parentNode, childNode, size = CHILD_NODE_SIZE) => {
  childNode.size = size;
  nodes.push(childNode);
  links.push({ source: parentNode, target: childNode });
};

const parentNode = { id: 'Arts Web' };
addMainNode(parentNode);

const childNode = { id: 'Community Vision' };
addChildNode(parentNode, childNode);

for(let i = 0; i < 20; i++){
  addChildNode(childNode, { id: '' }, LEAF_NODE_SIZE);
}

addChildNode(parentNode, { id: 'Silicon Valley Creates' });

